﻿Type=Class
Version=1.06
B4J=true
@EndOfDesignText@
'Class module
Private Sub Class_Globals
	Private fx As JFX
	Private taMessage As TextArea
	Private lvParent As ListView
	Private myPosition As String
	Private KEY_SHIFT_PRESSED As Boolean = False
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(lv As ListView)
	lvParent = lv
	myPosition = "My position in the list is: " & lvParent.Items.Size
	
	Dim ap As AnchorPane
	ap.Initialize("")
	ap.LoadLayout("item")

	lvParent.Items.Add(ap)

	'Use the Reflector library to set a local event for this textArea:
	Dim Obj As Reflector
	Obj.Target = taMessage
	Obj.AddEventHandler("taMessage_KeyPressed", "javafx.scene.input.KeyEvent.ANY")

End Sub

Private Sub taMessage_KeyPressed_Event(e As Event)
	Dim KE As Reflector
	KE.Target = e 'e is a KeyEvent instance
'	Dim KeyChar As String = KE.RunMethod("getCharacter")
	Dim KeyCode As String = KE.RunMethod("getCode")
'	Dim KeyText As String = KE.RunMethod("getText")
	Dim EventType As String = KE.RunMethod("getEventType") 
	
	Log(KeyCode)
	Select EventType
		Case "KEY_PRESSED"
			Select KeyCode
				Case "BACK_SPACE"
					taMessage.Text = "Hey you pressed BACK_SPACE in this control."
				Case "SHIFT"
					KEY_SHIFT_PRESSED = True
				Case "ENTER"
					If KEY_SHIFT_PRESSED Then
						taMessage.Text = myPosition
					End If
			End Select
		Case "KEY_RELEASED"
			KEY_SHIFT_PRESSED = False
	End Select
	e.Consume ' Consume the event to stop it bubbling up the scene graph 
End Sub

Public Sub setMessage(s As String)
	taMessage.Text = s
End Sub

Public Sub getMessage() As String
	Return taMessage.Text
End Sub	
